:host {
    display: block;

    .mat-card {
        height: 100%;
        display: flex;
        flex-direction: column;
        
        ::ng-deep {
            .mat-card-header-text {
                &,
                .mat-card-title {
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    margin-left: 0;
                    margin-right: 0;
                }
            }

            .poster {
                display: flex;
                justify-content: center;
                align-items: center;
                background: #000;
                height: 180px;
                margin-left: -1rem;
                margin-right: -1rem;
                margin-bottom: 10px;

                img {
                    max-width: 100%;
                    max-height: 100%;
                }
            }

            .mat-card-content {
                flex: 1 1;
                .rating {
                    display: flex;
                    align-items: center;
                    margin-bottom: 10px;

                    rating-movie {
                        margin-right: 10px;
                    }
                }
            }


            .mat-card-actions {
                display: flex;
                flex-direction: column;
                justify-content: flex-end;
                
                .mat-raised-button {
                    width: 100%;
                }
            }
        }
    }
}
